diff -ur -x '*.log' -x '*.diff' -x '*.zip*' -x '*.tar.gz*' -x '*.tar.xz*' -x RELEASE -x PACKAGES -x '*REBUILD*' -x .release /home/openttd/public_html/ogfx-rv/nightlies/r162/log/ogfx-rv.nfo /home/openttd/public_html/ogfx-rv/nightlies/REBUILD/r162/log/ogfx-rv.nfo
--- /home/openttd/public_html/ogfx-rv/nightlies/r162/log/ogfx-rv.nfo	
+++ /home/openttd/public_html/ogfx-rv/nightlies/REBUILD/r162/log/ogfx-rv.nfo	
@@ -5,7 +5,7 @@
 // Escapes: D= = DR D+ = DF D- = DC Du* = DM D* = DnF Du<< = DnC D<< = DO D& D| Du/ D/ Du% D%
 // Format: spritenum imagefile depth xpos ypos xsize ysize xrel yrel zoom flags
 
-0 * 4 \d2617 
+0 * 4 \d2620 
 
 1 * 10944 14 "C" "INFO" 
 "T" "NAME" 02 "ÞOpenGFX+ Road Vehicles r162 (OpenGFX+ Straßenfahrzeuge)" 00 
@@ -334,27 +334,41 @@
 "POTA" "RCYC" "SCMT" "TOUR" "GEAR" 
 "FUEL" "TWOD" "WSTE" 
 
+37 * 6 01 01 \b1 FF \wx0000 
+
+// Name: @CB_FAILED_REAL01
+38 * 9 02 01 FF \b1 \b1 
+\w0 
+\w0 
+
+// Name: @CB_FAILED01
+39 * 23 02 01 FF 89 
+0C 00 \dx0000FFFF 
+\b1 
+\wx8000 \dx00000000 \dx00000000 	// graphics callback -> return 0
+\wx00FF // Non-graphics callback, return graphics result
+
 // Name: bulk_refit_from_dirty_switch
-37 * 143 02 01 FE 89 
+40 * 143 02 01 FE 89 
 10 00 \dx000000FF 
 \b13 
-\wx0000 \dx00000026 \dx00000026 	// 38 .. 38: CB_FAILED;
-\wx0000 \dx00000022 \dx00000022 	// 34 .. 34: CB_FAILED;
-\wx0000 \dx0000000F \dx0000000F 	// 15 .. 15: CB_FAILED;
-\wx0000 \dx0000000C \dx0000000C 	// 12 .. 12: CB_FAILED;
-\wx0000 \dx0000000D \dx0000000D 	// 13 .. 13: CB_FAILED;
-\wx0000 \dx0000001D \dx0000001D 	// 29 .. 29: CB_FAILED;
-\wx0000 \dx0000001F \dx0000001F 	// 31 .. 31: CB_FAILED;
-\wx0000 \dx00000038 \dx00000038 	// 56 .. 56: CB_FAILED;
-\wx0000 \dx0000001E \dx0000001E 	// 30 .. 30: CB_FAILED;
-\wx0000 \dx00000036 \dx00000036 	// 54 .. 54: CB_FAILED;
-\wx0000 \dx00000037 \dx00000037 	// 55 .. 55: CB_FAILED;
-\wx0000 \dx00000028 \dx00000028 	// 40 .. 40: CB_FAILED;
-\wx0000 \dx00000024 \dx00000024 	// 36 .. 36: CB_FAILED;
+\wx00FF \dx00000026 \dx00000026 	// 38 .. 38: @CB_FAILED01;
+\wx00FF \dx00000022 \dx00000022 	// 34 .. 34: @CB_FAILED01;
+\wx00FF \dx0000000F \dx0000000F 	// 15 .. 15: @CB_FAILED01;
+\wx00FF \dx0000000C \dx0000000C 	// 12 .. 12: @CB_FAILED01;
+\wx00FF \dx0000000D \dx0000000D 	// 13 .. 13: @CB_FAILED01;
+\wx00FF \dx0000001D \dx0000001D 	// 29 .. 29: @CB_FAILED01;
+\wx00FF \dx0000001F \dx0000001F 	// 31 .. 31: @CB_FAILED01;
+\wx00FF \dx00000038 \dx00000038 	// 56 .. 56: @CB_FAILED01;
+\wx00FF \dx0000001E \dx0000001E 	// 30 .. 30: @CB_FAILED01;
+\wx00FF \dx00000036 \dx00000036 	// 54 .. 54: @CB_FAILED01;
+\wx00FF \dx00000037 \dx00000037 	// 55 .. 55: @CB_FAILED01;
+\wx00FF \dx00000028 \dx00000028 	// 40 .. 40: @CB_FAILED01;
+\wx00FF \dx00000024 \dx00000024 	// 36 .. 36: @CB_FAILED01;
 \wxC000 // default: return 16384;
 
 // Name: bulk_refit_from_clean_switch
-38 * 133 02 01 FD 89 
+41 * 133 02 01 FD 89 
 10 00 \dx000000FF 
 \b12 
 \wxC014 \dx00000026 \dx00000026 	// 38 .. 38: return 16404;
@@ -372,7 +386,7 @@
 \wxC000 // default: return 16384;
 
 // Name: bulk_refit_cost_switch
-39 * 313 02 01 FD 89 
+42 * 313 02 01 FD 89 
 47 00 \dx000000FF 
 \b30 
 \wx00FE \dx00000019 \dx00000019 	// 25 .. 25: bulk_refit_from_dirty_switch;
@@ -405,19 +419,19 @@
 \wx00FD \dx00000029 \dx00000029 	// 41 .. 41: bulk_refit_from_clean_switch;
 \wx00FD \dx00000028 \dx00000028 	// 40 .. 40: bulk_refit_from_clean_switch;
 \wx00FD \dx00000024 \dx00000024 	// 36 .. 36: bulk_refit_from_clean_switch;
-\wx0000 // default: CB_FAILED;
+\wx00FF // default: @CB_FAILED01;
 
 // Name: flatbed_refit_from_vehicles
-40 * 43 02 01 FE 89 
+43 * 43 02 01 FE 89 
 10 00 \dx000000FF 
 \b3 
 \wxC000 \dx0000002F \dx0000002F 	// 47 .. 47: return 16384;
 \wxC000 \dx00000030 \dx00000030 	// 48 .. 48: return 16384;
 \wxC000 \dx00000006 \dx00000006 	// 6 .. 6: return 16384;
-\wx0000 // default: CB_FAILED;
+\wx00FF // default: @CB_FAILED01;
 
 // Name: flatbed_refit_from_flat
-41 * 93 02 01 FC 89 
+44 * 93 02 01 FC 89 
 10 00 \dx000000FF 
 \b8 
 \wxC000 \dx0000003D \dx0000003D 	// 61 .. 61: return 16384;
@@ -428,27 +442,27 @@
 \wxC000 \dx00000014 \dx00000014 	// 20 .. 20: return 16384;
 \wxC000 \dx00000031 \dx00000031 	// 49 .. 49: return 16384;
 \wxC000 \dx0000002E \dx0000002E 	// 46 .. 46: return 16384;
-\wx0000 // default: CB_FAILED;
+\wx00FF // default: @CB_FAILED01;
 
 // Name: flatbed_refit_from_stakes
-42 * 123 02 01 FB 89 
+45 * 123 02 01 FB 89 
 10 00 \dx000000FF 
 \b11 
-\wx0000 \dx0000002F \dx0000002F 	// 47 .. 47: CB_FAILED;
-\wx0000 \dx00000030 \dx00000030 	// 48 .. 48: CB_FAILED;
-\wx0000 \dx00000006 \dx00000006 	// 6 .. 6: CB_FAILED;
-\wx0000 \dx0000003D \dx0000003D 	// 61 .. 61: CB_FAILED;
-\wx0000 \dx00000007 \dx00000007 	// 7 .. 7: CB_FAILED;
-\wx0000 \dx00000032 \dx00000032 	// 50 .. 50: CB_FAILED;
-\wx0000 \dx00000021 \dx00000021 	// 33 .. 33: CB_FAILED;
-\wx0000 \dx00000040 \dx00000040 	// 64 .. 64: CB_FAILED;
-\wx0000 \dx00000014 \dx00000014 	// 20 .. 20: CB_FAILED;
-\wx0000 \dx00000031 \dx00000031 	// 49 .. 49: CB_FAILED;
-\wx0000 \dx0000002E \dx0000002E 	// 46 .. 46: CB_FAILED;
+\wx00FF \dx0000002F \dx0000002F 	// 47 .. 47: @CB_FAILED01;
+\wx00FF \dx00000030 \dx00000030 	// 48 .. 48: @CB_FAILED01;
+\wx00FF \dx00000006 \dx00000006 	// 6 .. 6: @CB_FAILED01;
+\wx00FF \dx0000003D \dx0000003D 	// 61 .. 61: @CB_FAILED01;
+\wx00FF \dx00000007 \dx00000007 	// 7 .. 7: @CB_FAILED01;
+\wx00FF \dx00000032 \dx00000032 	// 50 .. 50: @CB_FAILED01;
+\wx00FF \dx00000021 \dx00000021 	// 33 .. 33: @CB_FAILED01;
+\wx00FF \dx00000040 \dx00000040 	// 64 .. 64: @CB_FAILED01;
+\wx00FF \dx00000014 \dx00000014 	// 20 .. 20: @CB_FAILED01;
+\wx00FF \dx00000031 \dx00000031 	// 49 .. 49: @CB_FAILED01;
+\wx00FF \dx0000002E \dx0000002E 	// 46 .. 46: @CB_FAILED01;
 \wxC000 // default: return 16384;
 
 // Name: flatbed_refit_cost_switch
-43 * 123 02 01 FB 89 
+46 * 123 02 01 FB 89 
 47 00 \dx000000FF 
 \b11 
 \wx00FE \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_refit_from_vehicles;
@@ -465,21 +479,21 @@
 \wx00FB // default: flatbed_refit_from_stakes;
 
 // Name: piecegoods_refit_cost_switch
-44 * 23 02 01 FC 89 
+47 * 23 02 01 FC 89 
 1A 00 \dx00000001 
 \b1 
-\wxC000 \dx00000000 \dx00000000 	// 0 .. 0: return 16384;
+\wx8000 \dx00000001 \dx00000000 	// Bogus range to avoid nvar == 0
 \wxC000 // default: return 16384;
 
 // Name: refrigerated_refit_cost_switch
-45 * 23 02 01 FE 89 
+48 * 23 02 01 FE 89 
 1A 00 \dx00000001 
 \b1 
-\wxC014 \dx00000000 \dx00000000 	// 0 .. 0: return 16404;
+\wx8000 \dx00000001 \dx00000000 	// Bogus range to avoid nvar == 0
 \wxC014 // default: return 16404;
 
 // Name: tank_refit_from_clean_switch
-46 * 73 02 01 FA 89 
+49 * 73 02 01 FA 89 
 10 00 \dx000000FF 
 \b6 
 \wxC014 \dx0000003C \dx0000003C 	// 60 .. 60: return 16404;
@@ -491,19 +505,19 @@
 \wxC00A // default: return 16394;
 
 // Name: tank_refit_from_dirty_switch
-47 * 73 02 01 F9 89 
+50 * 73 02 01 F9 89 
 10 00 \dx000000FF 
 \b6 
-\wx0000 \dx0000003C \dx0000003C 	// 60 .. 60: CB_FAILED;
-\wx0000 \dx00000025 \dx00000025 	// 37 .. 37: CB_FAILED;
-\wx0000 \dx00000032 \dx00000032 	// 50 .. 50: CB_FAILED;
-\wx0000 \dx0000000B \dx0000000B 	// 11 .. 11: CB_FAILED;
-\wx0000 \dx00000016 \dx00000016 	// 22 .. 22: CB_FAILED;
-\wx0000 \dx00000015 \dx00000015 	// 21 .. 21: CB_FAILED;
+\wx00FF \dx0000003C \dx0000003C 	// 60 .. 60: @CB_FAILED01;
+\wx00FF \dx00000025 \dx00000025 	// 37 .. 37: @CB_FAILED01;
+\wx00FF \dx00000032 \dx00000032 	// 50 .. 50: @CB_FAILED01;
+\wx00FF \dx0000000B \dx0000000B 	// 11 .. 11: @CB_FAILED01;
+\wx00FF \dx00000016 \dx00000016 	// 22 .. 22: @CB_FAILED01;
+\wx00FF \dx00000015 \dx00000015 	// 21 .. 21: @CB_FAILED01;
 \wxC028 // default: return 16424;
 
 // Name: tank_refit_cost_switch
-48 * 143 02 01 FA 89 
+51 * 143 02 01 FA 89 
 47 00 \dx000000FF 
 \b13 
 \wx00F9 \dx00000002 \dx00000002 	// 2 .. 2: tank_refit_from_dirty_switch;
@@ -519,43 +533,43 @@
 \wx00FA \dx0000000B \dx0000000B 	// 11 .. 11: tank_refit_from_clean_switch;
 \wx00FA \dx00000016 \dx00000016 	// 22 .. 22: tank_refit_from_clean_switch;
 \wx00FA \dx00000015 \dx00000015 	// 21 .. 21: tank_refit_from_clean_switch;
-\wx0000 // default: CB_FAILED;
+\wx00FF // default: @CB_FAILED01;
 
-49 * 9 07 00 04 \7! \dx00000000 04 
+52 * 9 07 00 04 \7! \dx00000000 04 
 
-50 * 11 00 01 \b1 03 FF \wx0007 
+53 * 11 00 01 \b1 03 FF \wx0007 
 06 00 00 00 
 
-51 * 11 00 01 \b1 03 FF \wx0010 
+54 * 11 00 01 \b1 03 FF \wx0010 
 06 00 00 00 
 
-52 * 23 00 01 \b1 0F FF \wx0016 
+55 * 23 00 01 \b1 0F FF \wx0016 
 06 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 
-53 * 56 00 01 \b1 30 FF \wx0028 
+56 * 56 00 01 \b1 30 FF \wx0028 
 06 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 
 // param[64] = 0
-54 * 9 0D 40 \D= FF 00 \dx00000000 
+57 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-55 * 9 0D 41 \D= FF 00 \dx00000000 
+58 * 9 0D 41 \D= FF 00 \dx00000000 
 
-56 * 6 09 03 01 \70 00 01 
+59 * 6 09 03 01 \70 00 01 
 
 // param[65] = 1
-57 * 9 0D 41 \D= FF 00 \dx00000001 
+60 * 9 0D 41 \D= FF 00 \dx00000001 
 
-58 * 9 09 41 04 \7= \dx00000000 01 
+61 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 7
-59 * 9 0D 40 \D= FF 00 \dx00000007 
+62 * 9 0D 40 \D= FF 00 \dx00000007 
 
-60 * 7 06 
+63 * 7 06 
 40 01 FF \wx000D 
 FF 
 
-61 * 18 00 01 \b5 01 FF \wx0000 
+64 * 18 00 01 \b5 01 FF \wx0000 
 1D \wx0001 
 1C 10 
 06 00 
@@ -563,26 +577,26 @@
 13 0B 
 
 // param[64] = 0
-62 * 9 0D 40 \D= FF 00 \dx00000000 
+65 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-63 * 9 0D 41 \D= FF 00 \dx00000000 
+66 * 9 0D 41 \D= FF 00 \dx00000000 
 
-64 * 6 09 03 01 \70 00 01 
+67 * 6 09 03 01 \70 00 01 
 
 // param[65] = 1
-65 * 9 0D 41 \D= FF 00 \dx00000001 
+68 * 9 0D 41 \D= FF 00 \dx00000001 
 
-66 * 9 09 41 04 \7= \dx00000000 01 
+69 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 7
-67 * 9 0D 40 \D= FF 00 \dx00000007 
+70 * 9 0D 40 \D= FF 00 \dx00000007 
 
-68 * 7 06 
+71 * 7 06 
 40 01 FF \wx000D 
 FF 
 
-69 * 18 00 01 \b5 01 FF \wx0001 
+72 * 18 00 01 \b5 01 FF \wx0001 
 1D \wx0001 
 1C 10 
 06 00 
@@ -590,26 +604,26 @@
 13 0F 
 
 // param[64] = 0
-70 * 9 0D 40 \D= FF 00 \dx00000000 
+73 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-71 * 9 0D 41 \D= FF 00 \dx00000000 
+74 * 9 0D 41 \D= FF 00 \dx00000000 
 
-72 * 6 09 03 01 \70 00 01 
+75 * 6 09 03 01 \70 00 01 
 
 // param[65] = 1
-73 * 9 0D 41 \D= FF 00 \dx00000001 
+76 * 9 0D 41 \D= FF 00 \dx00000001 
 
-74 * 9 09 41 04 \7= \dx00000000 01 
+77 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 7
-75 * 9 0D 40 \D= FF 00 \dx00000007 
+78 * 9 0D 40 \D= FF 00 \dx00000007 
 
-76 * 7 06 
+79 * 7 06 
 40 01 FF \wx000D 
 FF 
 
-77 * 18 00 01 \b5 01 FF \wx0002 
+80 * 18 00 01 \b5 01 FF \wx0002 
 1D \wx0001 
 1C 10 
 06 00 
@@ -617,26 +631,26 @@
 13 17 
 
 // param[64] = 0
-78 * 9 0D 40 \D= FF 00 \dx00000000 
+81 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-79 * 9 0D 41 \D= FF 00 \dx00000000 
+82 * 9 0D 41 \D= FF 00 \dx00000000 
 
-80 * 6 09 03 01 \70 00 01 
+83 * 6 09 03 01 \70 00 01 
 
 // param[65] = 1
-81 * 9 0D 41 \D= FF 00 \dx00000001 
+84 * 9 0D 41 \D= FF 00 \dx00000001 
 
-82 * 9 09 41 04 \7= \dx00000000 01 
+85 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 7
-83 * 9 0D 40 \D= FF 00 \dx00000007 
+86 * 9 0D 40 \D= FF 00 \dx00000007 
 
-84 * 7 06 
+87 * 7 06 
 40 01 FF \wx000D 
 FF 
 
-85 * 20 00 01 \b6 01 FF \wx0003 
+88 * 20 00 01 \b6 01 FF \wx0003 
 1D \wx0001 
 1C 10 
 06 00 
